List support messages | Moov Documentation

List support messages

List all the messages for a support ticket.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/tickets.read scope.

If you're listing another account's messages, then you'll need to specify the /accounts/{partnerAccountID}/tickets.read and /accounts/{accountID}/profile.read scopes.

GET

/accounts/{accountID}/tickets/{ticketID}/messages

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/tickets/{ticketID}/messages" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

mc, _ := moov.NewClient()

var accountID string // customer
var ticketID string

mc.ListTicketMessages(ctx, accountID, ticketID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.support.listTicketMessages({
    accountID: "72444918-8529-4986-b10c-41817e45d09e",
    ticketID: "edeaab65-c54c-45b8-881b-19138f125fb1",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\